Logo

Docs

Identify

Endpoints

Identify endpoint reference.

GET
/identify/{type}

Path Parameters

type*string
Value in"song""album""artist"

Query Parameters

name*string

Resource name.

Length1 <= length <= 256
album?string

Album name. Used to identify songs.

Lengthlength <= 256
artist?string

Artist name. Used to identify songs and albums.

Lengthlength <= 256
duration?integer

Song duration in milliseconds. Used to identify songs. Values of 0 or less are ignored. A non-integer value is rejected with 400.

Formatint32
Range1 <= value

Response Body

Identified resource

application/json
  1. response
data*||
curl -X GET 'https://api.vleer.app/metadata/v1/identify/song?name=string'
{  "data": {    "id": "omm:song:0a1b2c3d4e5f6g7h",    "type": "song",    "attributes": {      "name": "string",      "albumName": "string",      "artistNames": [        "string"      ],      "isrc": "string",      "artworkUrl": "string",      "trackNumber": 1,      "discNumber": 1,      "genres": [        "string"      ],      "releaseDate": "string",      "durationMs": 1    },    "relationships": {      "albums": {        "data": [          {            "id": "omm:song:0a1b2c3d4e5f6g7h",            "type": "album",            "attributes": {              "name": "string",              "trackCount": 0,              "artistNames": [                "string"              ],              "artworkUrl": "string",              "upc": "string",              "label": "string",              "genres": [                "string"              ],              "releaseDate": "string"            },            "relationships": {              "artists": {                "data": [                  {                    "id": "omm:song:0a1b2c3d4e5f6g7h",                    "type": "artist",                    "attributes": {                      "name": "string",                      "artworkUrl": "string",                      "genres": [                        "string"                      ]                    }                  }                ]              }            }          }        ]      },      "artists": {        "data": [          {            "id": "omm:song:0a1b2c3d4e5f6g7h",            "type": "artist",            "attributes": {              "name": "string",              "artworkUrl": "string",              "genres": [                "string"              ]            }          }        ]      }    }  }}